<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/markers/expansionpersonalmarkerdata.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dcf/a00845_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionpersonalmarkerdata.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/dcf/a00845.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionPersonalMarkerData.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/dce/a04386.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/dce/a04386.html">ExpansionPersonalMarkerData</a> : <a class="code hl_class" href="../../d7/d1e/a04382.html">ExpansionMarkerData</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/dce/a04386.html#af4c284354518bf64f42a5e40cc0b5149">   15</a></span>    <span class="keyword">override</span> <a class="code hl_enumeration" href="../../dc/d6e/a00833.html#ad6df390a394237187d15a8c6c03f1f38">ExpansionMapMarkerType</a> <a class="code hl_function" href="../../d9/dce/a04386.html#af4c284354518bf64f42a5e40cc0b5149">GetType</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dc/d6e/a00833.html#ad6df390a394237187d15a8c6c03f1f38">ExpansionMapMarkerType</a>.PERSONAL;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/dce/a04386.html#a1b010e3cb87645a16649bbe282869026">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/dce/a04386.html#a1b010e3cb87645a16649bbe282869026">OnStoreLoad</a>( ParamsReadContext ctx, <span class="keywordtype">int</span> version )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( !super.OnStoreLoad( ctx, version ) )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d3/d60/a00818.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a>( ctx.Read( <a class="code hl_variable" href="../../d7/d1e/a04382.html#ad90a3f73a04fe03a0f9fac202b7d18cf">m_Visibility</a> ), <span class="stringliteral">&quot;[&quot;</span> + <span class="keyword">this</span> + <span class="stringliteral">&quot;] Failed reading m_Visibility&quot;</span> ) )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d9/dce/a04386.html#a591e8bc1869ff8fe1f489072f29009fc">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dce/a04386.html#a591e8bc1869ff8fe1f489072f29009fc">OnStoreSave</a>( ParamsWriteContext ctx )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        super.OnStoreSave( ctx );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        ctx.Write( <a class="code hl_variable" href="../../d7/d1e/a04382.html#ad90a3f73a04fe03a0f9fac202b7d18cf">m_Visibility</a> );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>};</div>
<div class="ttc" id="aa00818_html_ae52b22a15cd70143ec56e9e0d067d950"><div class="ttname"><a href="../../d3/d60/a00818.html#ae52b22a15cd70143ec56e9e0d067d950">Expansion_Assert_False</a></div><div class="ttdeci">static bool Expansion_Assert_False(bool check, string message)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d60/a00818_source.html#l00013">expansionstatic.c:13</a></div></div>
<div class="ttc" id="aa00833_html_ad6df390a394237187d15a8c6c03f1f38"><div class="ttname"><a href="../../dc/d6e/a00833.html#ad6df390a394237187d15a8c6c03f1f38">ExpansionMapMarkerType</a></div><div class="ttdeci">ExpansionMapMarkerType</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d6e/a00833_source.html#l00013">expansionmapmarkertype.c:14</a></div></div>
<div class="ttc" id="aa04382_html"><div class="ttname"><a href="../../d7/d1e/a04382.html">ExpansionMarkerData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d13/a00836_source.html#l00017">expansionmarkerdata.c:18</a></div></div>
<div class="ttc" id="aa04382_html_ad90a3f73a04fe03a0f9fac202b7d18cf"><div class="ttname"><a href="../../d7/d1e/a04382.html#ad90a3f73a04fe03a0f9fac202b7d18cf">ExpansionMarkerData::m_Visibility</a></div><div class="ttdeci">protected int m_Visibility</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d13/a00836_source.html#l00020">expansionmarkerdata.c:20</a></div></div>
<div class="ttc" id="aa04386_html"><div class="ttname"><a href="../../d9/dce/a04386.html">ExpansionPersonalMarkerData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00013">expansionpersonalmarkerdata.c:14</a></div></div>
<div class="ttc" id="aa04386_html_a1b010e3cb87645a16649bbe282869026"><div class="ttname"><a href="../../d9/dce/a04386.html#a1b010e3cb87645a16649bbe282869026">ExpansionPersonalMarkerData::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00020">expansionpersonalmarkerdata.c:20</a></div></div>
<div class="ttc" id="aa04386_html_a591e8bc1869ff8fe1f489072f29009fc"><div class="ttname"><a href="../../d9/dce/a04386.html#a591e8bc1869ff8fe1f489072f29009fc">ExpansionPersonalMarkerData::OnStoreSave</a></div><div class="ttdeci">override void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00031">expansionpersonalmarkerdata.c:31</a></div></div>
<div class="ttc" id="aa04386_html_af4c284354518bf64f42a5e40cc0b5149"><div class="ttname"><a href="../../d9/dce/a04386.html#af4c284354518bf64f42a5e40cc0b5149">ExpansionPersonalMarkerData::GetType</a></div><div class="ttdeci">override ExpansionMapMarkerType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00015">expansionpersonalmarkerdata.c:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_b62f712a9a35a7799d4076a9537abb99.html">markers</a></li><li class="navelem"><a class="el" href="../../d7/dcf/a00845.html">expansionpersonalmarkerdata.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
